Bug 604487 - [abrt] crash in epiphany-2.30.2-1.fc13: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in epiphany-2.30.2-1.fc13: Process /usr/bin/epiphany was killed ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e37035371e2fc9e6ef575a90e83...
: 614255 618044 619216 622603 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 03:41 UTC by Robert Townley
Modified: 2011-06-27 18:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 18:20:23 UTC


Attachments (Terms of Use)
File: backtrace (23.43 KB, text/plain)
2010-06-16 03:41 UTC, Robert Townley
no flags Details
epiphany --private-instance --profile=/home/user33/epiphtest/ http://www.javatester.org (2.58 KB, text/plain)
2011-03-06 03:57 UTC, Robert Townley
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 631538 None None None Never

Description Robert Townley 2010-06-16 03:41:14 UTC
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: epiphany
comment: This worked in Fedora 10 and 11.  Sometimes, the SSL certificate serial number gets duplicated and or the certificate is expired.
component: epiphany
executable: /usr/bin/epiphany
global_uuid: e37035371e2fc9e6ef575a90e8313a149dd1fac8
kernel: 2.6.33.5-112.fc13.i686.PAE
package: epiphany-2.30.2-1.fc13
rating: 4
reason: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.Login to a HP iLO webpage.
2.Navigate to the remote media tab.
3.Crash

Comment 1 Robert Townley 2010-06-16 03:41:16 UTC
Created attachment 424337 [details]
File: backtrace

Comment 2 d. johnson 2010-08-09 16:23:45 UTC
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update <package>' or using the graphical updater, Software Update.


Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Robert Townley 2010-08-26 10:31:29 UTC
i have run yum update numerous times and no update has ever been found.  Initially, i thought i simply had to wait for my repositories to get updated, but i just tried again.  

Enabled testing repos, but nothing found.

A few times, i browsed the repositories with a web browser to see if there was an updated version, but i don't see it.  

Please indicate which repository exactly has the updates.

Comment 4 d. johnson 2010-08-26 12:17:29 UTC
According to your abrt dump, you have the following extensions enabled: java, rhythmbox, totem, and flash.

If you disable those, are you still able to reproduce the crash?

Specifically, flash and java are known to crash epiphany.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Robert Townley 2010-08-27 21:44:30 UTC
"yum info epiphany-extensions" indicates i do not have epiphany-extensions installed.  Will try to install epiphany-extensions, disable any enabled extensions and try javatester.org again.

Comment 6 d. johnson 2010-08-28 12:40:26 UTC
Sorry Robert, but that yum command will not do what you think it will.  I listed out the extensions you have.

If you cannot remove those two extensions at a minimum, I'm afraid there is not much I can assist with.

Please remove the extensions listed and retest.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Robert Townley 2010-09-07 20:39:32 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=631538

i disabled all extensions, unchecked plugins, unchecked javascript - it still crashes.  Restarted epiphany and verified all above disabled, but still crashes.

What else has to be done to tell epiphany to disable all the extensions and plugins and java?

Result of "Enable Plugins" unchecked and all extensions unchecked:

bash-4.1$ epiphany http://www.javatester.org/version.html
** (epiphany:21919): DEBUG: NP_Initialize
** (epiphany:21919): DEBUG: NP_Initialize succeeded
** (epiphany:21919): DEBUG: NP_Initialize
** (epiphany:21919): DEBUG: NP_Initialize succeeded
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8.1) (fedora-42.b18.fc13-i386)
OpenJDK Server VM (build 14.0-b16, mixed mode)
** (epiphany:21919): DEBUG: NP_Initialize
** (epiphany:21919): DEBUG: NP_Initialize succeeded
** (epiphany:21919): DEBUG: NP_Initialize
** (epiphany:21919): DEBUG: NP_Initialize succeeded
** (epiphany:21919): DEBUG: NP_Initialize
** (epiphany:21919): DEBUG: NP_Initialize succeeded
** (epiphany:21919): DEBUG: NP_Initialize
** (epiphany:21919): DEBUG: NP_Initialize succeeded
** (epiphany:21919): DEBUG: NP_Initialize
** (epiphany:21919): DEBUG: NP_Initialize succeeded
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:3160):invoke_NP_Initialize: assertion failed: (rpc_method_invoke_possible(g_rpc_connection))
** (epiphany:21919): DEBUG: NP_Initialize
** (epiphany:21919): DEBUG: NP_Initialize succeeded
** (epiphany:21919): DEBUG: NP_Shutdown
Segmentation fault (core dumped)
bash-4.1$ epiphany

(epiphany:22054): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

Comment 8 Karel Klíč 2010-11-08 19:27:42 UTC
*** Bug 614255 has been marked as a duplicate of this bug. ***

Comment 9 Karel Klíč 2010-11-08 19:27:47 UTC
*** Bug 618044 has been marked as a duplicate of this bug. ***

Comment 10 Karel Klíč 2010-11-08 19:27:52 UTC
*** Bug 619216 has been marked as a duplicate of this bug. ***

Comment 11 Karel Klíč 2010-11-08 19:27:57 UTC
*** Bug 622603 has been marked as a duplicate of this bug. ***

Comment 12 Robert Townley 2011-03-06 03:52:59 UTC
epiphany --version returns "GNOME Web Browser 2.30.6"

www.javatester.org still crashes epiphany  (see attached epiphany-java.txt).
HP iLO java based Remote Console still crashes epiphany.

Linux version 2.6.35.11-83.fc14.i686.PAE (mockbuild@x86-12.phx2.fedoraproject.org) (gcc version 4.5.1 20100924 (Red Hat 4.5.1-4) (GCC) ) #1 SMP Mon Feb 7 06:57:55 UTC 2011

If java will not be supported, please mark wontfix.

Comment 13 Robert Townley 2011-03-06 03:57:31 UTC
Created attachment 482485 [details]
epiphany --private-instance --profile=/home/user33/epiphtest/ http://www.javatester.org

Comment 14 Robert Townley 2011-03-06 04:00:46 UTC
Comment on attachment 482485 [details]
epiphany --private-instance --profile=/home/user33/epiphtest/ http://www.javatester.org

click "Test the version of Java your browser is using"

Comment 15 Bug Zapper 2011-06-02 10:40:19 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2011-06-27 18:20:23 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.